summaryrefslogtreecommitdiffstats
path: root/testsuites/stability/src/main/resources/papsetup
diff options
context:
space:
mode:
authoraditya.puthuparambil <aditya.puthuparambil@est.tech>2020-05-06 12:06:50 +0100
committeraditya.puthuparambil <aditya.puthuparambil@est.tech>2020-05-07 14:12:32 +0100
commit4de0870f3bb8d9faaa01508d9a08e76cb6c74714 (patch)
tree17032b34711f716173f8e6d4c279dd9e5a3e42b0 /testsuites/stability/src/main/resources/papsetup
parent26df07d10d9b0a7e6e9e9ab2d9cc14ed735c0d1d (diff)
PAP Stability test changes
Issue-ID: POLICY-2454 Signed-off-by: aditya.puthuparambil <aditya.puthuparambil@est.tech> Change-Id: I400dc0cf4df57714aac657e735fecc7fd29e6f87
Diffstat (limited to 'testsuites/stability/src/main/resources/papsetup')
-rw-r--r--testsuites/stability/src/main/resources/papsetup/setup_pap.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/testsuites/stability/src/main/resources/papsetup/setup_pap.sh b/testsuites/stability/src/main/resources/papsetup/setup_pap.sh
index dc5e69e7..235728aa 100644
--- a/testsuites/stability/src/main/resources/papsetup/setup_pap.sh
+++ b/testsuites/stability/src/main/resources/papsetup/setup_pap.sh
@@ -1,6 +1,6 @@
#!/bin/bash
# ============LICENSE_START=======================================================
-# Copyright (c) 2019 Nordix Foundation.
+# Copyright (c) 2019 - 2020 Nordix Foundation.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -21,9 +21,9 @@
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
echo ${DIR}
-if ["$#" -lt 2]; then
- echo "PAP and MariaDB IPs should be passed as two parameters. PAP IP goes first."
- exit 1
+if [ "$#" -lt 2 ]; then
+ echo "PAP and MariaDB IPs should be passed as two parameters. PAP IP goes first."
+ exit 1
else
PAP=$1
echo "PAP IP: ${PAP}"
@@ -31,4 +31,4 @@ else
echo "MariaDB IP: ${MARIADB}"
fi
-docker run -p 9090:9090 -p 6969:6969 -e "PAP_HOST=${PAP}" -v ${DIR}/config/pap/bin/policy-pap.sh:/opt/app/policy/pap/bin/policy-pap.sh -v ${DIR}/config/pap/etc/defaultConfig.json:/opt/app/policy/pap/etc/defaultConfig.json --add-host mariadb:${MARIADB} --name policy-pap -d --rm nexus3.onap.org:10001/onap/policy-pap:2.0.0-SNAPSHOT-latest
+docker run -p 9090:9090 -p 6969:6969 -e "PAP_HOST=${PAP}" -v ${DIR}/config/pap/bin/policy-pap.sh:/opt/app/policy/pap/bin/policy-pap.sh -v ${DIR}/config/pap/etc/defaultConfig.json:/opt/app/policy/pap/etc/defaultConfig.json --add-host mariadb:${MARIADB} --name policy-pap -d --rm nexus3.onap.org:10001/onap/policy-pap:2.2-SNAPSHOT-latest